Get Order Status
Retrieves the current status of an order (used for polling after 202 responses). PAR calls this endpoint to check order status, especially after receiving 202 Accepted responses.
Status Values
- placed - Order is in POS system
- pending - Still processing
- errored - Error occurred
- rejected - Order rejected
- validated - Order has been validated
Path Parameters
- Type: stringorder
Id requiredUnique identifier for the order request (from
request_uid)
Headers
- Type: stringAuthorizationrequired
Used to authorize the request with jwt_token. It should be supplied as Bearer JWT_TOKEN_GOES_HERE.
Responses
- application/json
- 401
Unauthorized
- application/json
Request Example for get/posnext/orders/{orderId}
curl https://api.partech.com/v1/posnext/orders/order-12345 \
--header 'Authorization: Bearer JWT_TOKEN_GOES_HERE'
{
"status": "validated",
"request_uid": "order-12345",
"request_datetime": "2026-08-31T18:54:46.132Z",
"location_id": "loc-001",
"completed_at": "2026-08-31T18:54:46.132Z",
"received_at": "2026-08-31T18:54:46.132Z",
"order_details": {
"online_order_id": "ONL-12345",
"pos_order_id": "POS-67890",
"subtotal": 25.99,
"order_total": 28.09,
"grand_total": 30.09,
"menu_items": [
{
"id": "item-001",
"name": "Burger",
"item_type": "Item",
"quantity": 2,
"price_per_unit": 12.99,
"total_price": 25.98,
"modifiers": []
}
],
"taxes": [
{
"name": "Sales Tax",
"amount": 2.1
}
],
"payments": [
{
"tender_id": "tender-001",
"payment_type": "credit_card",
"amount": 30.09
}
]
}
}